.lifetime-2026 {

    .umbraco-forms-hidden {
        display:none;
    }
    .umbraco-forms-form [class*="col-"]{
        padding-left:calc(var(--bs-gutter-x) * .5);
        padding-right:calc(var(--bs-gutter-x) * .5);

        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .lifetime-2026-featured-tiles-filters.lifetime-2026-form {
	    display: grid;
	    grid-template-columns: 1fr 1fr 1fr;
	    gap: 40px;

        @media(max-width:1199px){            
	        grid-template-columns: 1fr 1fr 1fr;
        }
        @media(max-width:991px){            
	        grid-template-columns: 1fr 1fr;
        }
        @media(max-width:767px){            
	        grid-template-columns: 1fr;
            gap:25px;
        }
    }

    .umbraco-forms-form .row-fluid {
        --bs-gutter-x: 26px;
    }

    .form-group {
	    width: 100%;
    }

    .umbraco-forms-field-wrapper,
    .lifetime-2026-field-container {
        margin:15px 0px 25px 0px;
    }
    .lifetime-2026-featured-tiles-filters .lifetime-2026-field-container {
        margin:0;
    }
    .umbraco-forms-label + .umbraco-forms-field-wrapper {
	    margin-top: 15px;
    }

    .umbraco-forms-field-wrapper input[type="text"],
    .umbraco-forms-field-wrapper input[type="date"],
    .umbraco-forms-field-wrapper input[type="password"],
    .umbraco-forms-field-wrapper input[type="number"],
    .umbraco-forms-field-wrapper input[type="email"],
    .umbraco-forms-field-wrapper input[type="tel"],
    .umbraco-forms-field-wrapper textarea,
    .umbraco-forms-field-wrapper select,
    .lifetime-2026-form select {
        height:50px;
        background:var(--field-color);
        border:0px;
        padding:5px 10px;
        width:100%;
        font-size:21px;
    }
    .umbraco-forms-field-wrapper textarea {
        min-height:100px;
    }
    .umbraco-forms-field-wrapper select,
    .lifetime-2026-form select {
        padding:5px 35px 5px 10px;
        appearance: none;
    }
    .umbraco-forms-field.dropdown .umbraco-forms-field-wrapper,
    .lifetime-2026-field-container {
	    position: relative;
    }
    .umbraco-forms-field.dropdown .umbraco-forms-field-wrapper::after,
    .lifetime-2026-field-container:after {
	    content: "";
	    font-size: 12px;
	    right: 15px;
        top: 15px;
	    pointer-events: none;
	    display: block;
	    width: 12px;
	    height: 12px;
	    border-left: 2px solid var(--form-text-color);
	    border-bottom: 2px solid var(--form-text-color);
	    position: absolute;
	    transform: rotate(-45deg);
    }

    .umbraco-forms-label,
    .umbraco-forms-legend{
        font-weight:500;
    }

    .umbraco-forms-legend {
        margin-bottom:0px;
        color:var(--form-text-color);
    }
    .umbraco-forms-caption {
	    margin-bottom: 15px;
        color:var(--form-text-color);
    }
    .umbraco-forms-navigation {
        margin-top:15px;
    }
    a {
        color:var(--form-text-color);
    }
    .field-validation-error {
	    background: #ffd1d1;
	    border: 1px solid #f97474;
	    display: inline-block;
	    padding: 3px 5px;
	    color: #c90000;
	    margin-top: 7px;
    }

    .radiobuttonlist, 
    .checkboxlist,
    .checkbox {
	    display: flex;
        gap: 10px;
        flex-direction: column;

        > div {
            position:relative;
        }
    }
    .radiobuttonlist, 
    .checkboxlist,
    .checkbox,
    .dataconsent .umbraco-forms-field-wrapper {
        input {
            position:absolute;
            right:9000em;
        }
        label {
            padding-left:40px;
            margin-left:0px !important;
        }
        label:before {
            content:"";
            display:block;
            position:absolute;
            left:0px;
            top:0px;
            height:25px;
            width:25px;
            border-radius:30px;
            border:2px solid var(--form-text-color);
            background:transparent;
            cursor:pointer;
        }
        input:checked ~ label:before {
            background:var(--form-text-color);
        }
    }

    .checkbox {
        &:has(input:checked) label:before {            
            background:var(--form-text-color);
        }
    }

    .checkbox label {
        position:relative;
    }

    .checkboxlist,
    .checkbox,
    .dataconsent .umbraco-forms-field-wrapper {
        label:before {
            border-radius:5px;
        }
    }

    .dataconsent .umbraco-forms-field-wrapper {
        position:relative;
    }

    .umbraco-forms-label-font-weight {
	    font-weight: 500 !important;
    }
    .lifetime-2026-form {
        margin-bottom:40px;
    }

    .alert {
	    position: relative;
	    padding: .75rem 1.25rem;
	    margin-bottom: 1rem;
	    border: 1px solid transparent;
	    border-radius: .25rem;

        p:last-child {
            margin-bottom:0px;
        }
    }
    .alert-info {
	    color: #0c5460;
	    background-color: #d1ecf1;
	    border-color: #bee5eb;
    }
}

.form-2026-full-width-container {
    &.lifetime-2026--theme-white {
        --form-text-color:black;
        --field-color:#F5F5F5;
    }
    &.lifetime-2026--theme-pale-green {
	    background: var(--color-pale-pale-green);
        --form-text-color:black;
        --field-color:white;
    }
    &.lifetime-2026--theme-green {
	    background: var(--color-green);
        --form-text-color:white;
        --field-color:white;
    }
    &.lifetime-2026--theme-blue {
	    background: var(--color-blue);
        --form-text-color:white;
        --field-color:white;
    }
    &.lifetime-2026--theme-pale-blue {
	    background: var(--color-pale-pale-blue);
        --form-text-color:black;
        --field-color:white;
    }
}